OCSPStatusRequest (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.crypto.tls

## Class OCSPStatusRequest

- java.lang.Object
- - org.bouncycastle.crypto.tls.OCSPStatusRequest

-     public class OCSPStatusRequest
      extends java.lang.Object

  RFC 3546 3.6

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Extensions` | `requestExtensions`
    `protected java.util.Vector` | `responderIDList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OCSPStatusRequest(java.util.Vector responderIDList, Extensions requestExtensions)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `encode(java.io.OutputStream output)` Encode this `OCSPStatusRequest` to an `OutputStream`.
    `Extensions` | `getRequestExtensions()`
    `java.util.Vector` | `getResponderIDList()`
    `static OCSPStatusRequest` | `parse(java.io.InputStream input)` Parse an `OCSPStatusRequest` from an `InputStream`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### responderIDList

          protected java.util.Vector responderIDList

    - #### requestExtensions

          protected Extensions requestExtensions

  - ### Constructor Detail

    - #### OCSPStatusRequest

          public OCSPStatusRequest(java.util.Vector responderIDList,
                           Extensions requestExtensions)

      Parameters:
        `responderIDList` - a `Vector` of `ResponderID`, specifying the list of trusted OCSP responders. An empty list has the special meaning that the responders are implicitly known to the server - e.g., by prior arrangement.
        `requestExtensions` - OCSP request extensions. A null value means that there are no extensions.

  - ### Method Detail

    - #### getResponderIDList

          public java.util.Vector getResponderIDList()

      Returns:
        a `Vector` of `ResponderID`

    - #### getRequestExtensions

          public Extensions getRequestExtensions()

      Returns:
        OCSP request extensions

    - #### encode

          public void encode(java.io.OutputStream output)
                      throws java.io.IOException

      Encode this `OCSPStatusRequest` to an `OutputStream`.
      Parameters:
        `output` - the `OutputStream` to encode to.
      Throws:
        `java.io.IOException`

    - #### parse

          public static OCSPStatusRequest parse(java.io.InputStream input)
                                         throws java.io.IOException

      Parse an `OCSPStatusRequest` from an `InputStream`.
      Parameters:
        `input` - the `InputStream` to parse from.
      Returns:
        an `OCSPStatusRequest` object.
      Throws:
        `java.io.IOException`